require 'spec_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to specify the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator.  If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails.  There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.
#
# Compared to earlier versions of this generator, there is very limited use of
# stubs and message expectations in this spec.  Stubs are only used when there
# is no simpler way to get a handle on the object needed for the example.
# Message expectations are only used when there is no simpler way to specify
# that an instance is receiving a specific message.

describe PasswordsController do

  # This should return the minimal set of attributes required to create a valid
  # Password. As you add validations to Password, be sure to
  # update the return value of this method accordingly.
  def valid_attributes
    {}
  end

  describe "GET index" do
    it "assigns all passwords as @passwords" do
      password = Password.create! valid_attributes
      get :index
      assigns(:passwords).should eq([password])
    end
  end

  describe "GET show" do
    it "assigns the requested password as @password" do
      password = Password.create! valid_attributes
      get :show, :id => password.id
      assigns(:password).should eq(password)
    end
  end

  describe "GET new" do
    it "assigns a new password as @password" do
      get :new
      assigns(:password).should be_a_new(Password)
    end
  end

  describe "GET edit" do
    it "assigns the requested password as @password" do
      password = Password.create! valid_attributes
      get :edit, :id => password.id
      assigns(:password).should eq(password)
    end
  end

  describe "POST create" do
    describe "with valid params" do
      it "creates a new Password" do
        expect {
          post :create, :password => valid_attributes
        }.to change(Password, :count).by(1)
      end

      it "assigns a newly created password as @password" do
        post :create, :password => valid_attributes
        assigns(:password).should be_a(Password)
        assigns(:password).should be_persisted
      end

      it "redirects to the created password" do
        post :create, :password => valid_attributes
        response.should redirect_to(Password.last)
      end
    end

    describe "with invalid params" do
      it "assigns a newly created but unsaved password as @password" do
        # Trigger the behavior that occurs when invalid params are submitted
        Password.any_instance.stub(:save).and_return(false)
        post :create, :password => {}
        assigns(:password).should be_a_new(Password)
      end

      it "re-renders the 'new' template" do
        # Trigger the behavior that occurs when invalid params are submitted
        Password.any_instance.stub(:save).and_return(false)
        post :create, :password => {}
        response.should render_template("new")
      end
    end
  end

  describe "PUT update" do
    describe "with valid params" do
      it "updates the requested password" do
        password = Password.create! valid_attributes
        # Assuming there are no other passwords in the database, this
        # specifies that the Password created on the previous line
        # receives the :update_attributes message with whatever params are
        # submitted in the request.
        Password.any_instance.should_receive(:update_attributes).with({'these' => 'params'})
        put :update, :id => password.id, :password => {'these' => 'params'}
      end

      it "assigns the requested password as @password" do
        password = Password.create! valid_attributes
        put :update, :id => password.id, :password => valid_attributes
        assigns(:password).should eq(password)
      end

      it "redirects to the password" do
        password = Password.create! valid_attributes
        put :update, :id => password.id, :password => valid_attributes
        response.should redirect_to(password)
      end
    end

    describe "with invalid params" do
      it "assigns the password as @password" do
        password = Password.create! valid_attributes
        # Trigger the behavior that occurs when invalid params are submitted
        Password.any_instance.stub(:save).and_return(false)
        put :update, :id => password.id, :password => {}
        assigns(:password).should eq(password)
      end

      it "re-renders the 'edit' template" do
        password = Password.create! valid_attributes
        # Trigger the behavior that occurs when invalid params are submitted
        Password.any_instance.stub(:save).and_return(false)
        put :update, :id => password.id, :password => {}
        response.should render_template("edit")
      end
    end
  end

  describe "DELETE destroy" do
    it "destroys the requested password" do
      password = Password.create! valid_attributes
      expect {
        delete :destroy, :id => password.id
      }.to change(Password, :count).by(-1)
    end

    it "redirects to the passwords list" do
      password = Password.create! valid_attributes
      delete :destroy, :id => password.id
      response.should redirect_to(passwords_url)
    end
  end

end
